1
Ronaldus
"Local hosting".....
  • 2005/2/20 9:00

  • Ronaldus

  • Friend of XOOPS

  • Posts: 389

  • Since: 2004/5/8 1


Hai there,

not sure in which forum to post this....
My question is: now PHP 5 is starting to get rather common, and XOOPS newest version is PHP 5 proof (if I understood well), does anyone have a clue if somebody is updating the XSAS.

Thanks and greeting,

Ronaldus

2
JMorris
Re: "Local hosting".....
  • 2005/2/20 13:45

  • JMorris

  • XOOPS is my life!

  • Posts: 2722

  • Since: 2004/4/11


You may want to try contacting the author's directly.

http://sourceforge.net/projects/xsas/

3
Ronaldus
Re: "Local hosting".....
  • 2005/2/21 17:33

  • Ronaldus

  • Friend of XOOPS

  • Posts: 389

  • Since: 2004/5/8 1


I did Jmorris.
They're waiting for XOOPS 2.1

But something else: suppose I upgrade to XOOPS 2.1 (in a while) and my ISP does NOT support PHP 5 yet, will I get problems with the functionality of my site then??



Thanks and greetings,

4
m0nty
Re: "Local hosting".....
  • 2005/2/21 17:40

  • m0nty

  • XOOPS is my life!

  • Posts: 3337

  • Since: 2003/10/24


as far as i'm aware, XOOPS 2.1 will be designed to work with PHP 4 aswell..

u say php 5 is becomming common.. it's getting about yes, but i wouldn't expect all hosters to upgrade within the next year. Some will and some won't..

5
Ronaldus
Re: "Local hosting".....
  • 2005/2/21 17:49

  • Ronaldus

  • Friend of XOOPS

  • Posts: 389

  • Since: 2004/5/8 1


Right mOnty, that sounds reasonable.
But there will be a moment when this issue causes problems for some XOOPSers and their ISP's, even though if it's not earlier than a year. For example in the case a XOOPSer wants to install a module that does NOT work on PHP 4 and his/her ISP has not yet upgraded to PHP 5...

Or am I wrong here?

Greetings,


6
m0nty
Re: "Local hosting".....
  • 2005/2/21 18:02

  • m0nty

  • XOOPS is my life!

  • Posts: 3337

  • Since: 2003/10/24


in your thinking yes..

but mostly it will affect the ones using php 5.. as most modules are developed and written for php 4.. XOOPS 2.0.9.2 is not 100% php 5 compatible yet, but some people are using it without problems.. however not all modules work with php 5 and when servers fully upgrade to php 5 i would probably expect to see more people posting because a particular module won't work anymore..

i don't think any developers are writing any modules at the moment to just specifically work with PHP 5, so that won't be for a long while yet :) and i don't expect XOOPS will move to not support php 4 for a long while yet :)

hope this explains :)

7
Ronaldus
Re: "Local hosting".....
  • 2005/2/21 18:17

  • Ronaldus

  • Friend of XOOPS

  • Posts: 389

  • Since: 2004/5/8 1


Right mOnty,

it is clear to me !!

Greetings,


Login

Who's Online

81 user(s) are online (46 user(s) are browsing Support Forums)


Members: 0


Guests: 81


more...

Donat-O-Meter

Stats
Goal: $100.00
Due Date: Aug 31
Gross Amount: $0.00
Net Balance: $0.00
Left to go: $100.00
Make donations with PayPal!

Latest GitHub Commits